This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004111 - Review Request: libXaw3dXft - An extended version of Xaw3d with support for UTF8
Review Request: libXaw3dXft - An extended version of Xaw3d with support for UTF8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
http://sourceforge.net/projects/sf-xp...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 21:18 EDT by Paulo Roma Cavalcanti
Modified: 2013-09-21 09:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 09:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Roma Cavalcanti 2013-09-03 21:18:27 EDT
Spec URL: http://roma.fedorapeople.org/specs/libXaw3dXft.spec
SRPM URL: http://roma.fedorapeople.org/srpms/libXaw3dXft-1.6.2b-1.fc18.src.rpm
Description: 

Xaw3dxft is an extended version of Xaw3d, developed as part of xpaint
with support for UTF8 input and UTF8 encoding of text, and rendering
text with the Freetype library and Truetype fonts.

It should be mostly compatible with the original Xaw3d library, except
for font management: everything using the old X11 core font routines
should be replaced by their freetype equivalents.

Fedora Account System Username: roma
Comment 1 Paulo Roma Cavalcanti 2013-09-03 21:23:39 EDT
Xaw3dxft used to be part of xpaint. However, since xpaint 2.9.9,
it supplied as a separate package, which is a new build requirement for updating xpaint to its latest release.
Comment 2 Paulo Roma Cavalcanti 2013-09-04 08:23:59 EDT
Koji build for F18:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5893360

Koji build for F20:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5893377

Rpmlint output:

rpmlint libXaw3dXft-1.6.2b-1.fc18.x86_64.rpm
libXaw3dXft.x86_64: W: spelling-error %description -l en_US xpaint -> paint, x paint
libXaw3dXft.x86_64: W: spelling-error %description -l en_US freetype -> free type, free-type, freestyle
libXaw3dXft.x86_64: W: shared-lib-calls-exit /usr/lib64/libXaw3dxft.so.8.0.1 exit@GLIBC_2.2.5
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint libXaw3dXft-devel-1.6.2b-1.fc18.x86_64.rpm 
libXaw3dXft-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 3 Gwyn Ciesla 2013-09-04 09:11:03 EDT
- rpmlint checks return:

See above.  It would be best to fix the exit if possible, but it may not be.

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv3+ ) OK, text in %doc, matches source MIT also present, but compiled together, GPLv3+ is correct.
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Pretty straightforward.  APPROVED.
Comment 4 Paulo Roma Cavalcanti 2013-09-07 13:03:21 EDT
Thanks, Jon, for finishing this review.

New Package SCM Request
=======================
Package Name: libXaw3dXft
Short Description: An extended version of Xaw3d with support for UTF8
Owners: roma
Branches: f18 f19 f20 el5 el6
InitialCC: roma
Comment 5 Kevin Fenzi 2013-09-07 13:40:36 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.